Skip to main content
`Ctrl`+`K`

# PetscLogStateStagePop

End a running logging stage.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateStagePop(PetscLogState state)

Not collective

## Input Parameter

- state - a `PetscLogState`

## Note

This is called for the global state (`PetscLogGetState()`) in `PetscLogStagePush()`.

## See Also

Profiling, `PetscLogState`, `PetscLogStateStageRegister()`, `PetscLogStateStagePush()`, `PetscLogStateGetCurrentStage()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages